Bug 1011856 - Create Repository fails without usefull error message
Create Repository fails without usefull error message
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
Depends On:
Blocks: space21
  Show dependency treegraph
Reported: 2013-09-25 05:06 EDT by Jens Neu
Modified: 2014-03-04 08:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-04 08:08:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Neu 2013-09-25 05:06:10 EDT
Description of problem:
When trying to create a yum repository with more than 64 chars in Label, the WebUi gives the missleading:
Repository created successfully

Internal Server Error

The server experienced a problem which prevented your request from being filled out. It may not be possible to execute this action at this time.

Please help us correct this problem by contacting us with details of how you received this message.

In /var/log/tomcat6/catalina.out the real reason is visible:

Caused by: java.sql.SQLException: ORA-12899: value too large for column "SPACEWALK"."RHNCONTENTSOURCE"."LABEL" (actual: 70, maximum: 64)

Version-Release number of selected component (if applicable):
detected in: spacewalk-oracle.noarch 1.9.2-1.el6, probably applicable to all versions

How reproducible:

Steps to Reproduce:
1. Create repo with Label >64 characters
2. see /var/log/tomcat6/catalina.out

Actual results:
Repository is not beeing added despite the WebUI tells "created successfully" plus giving no useful error message.

Expected results:
WebUI should prevent entering more than 64 characters OR error message should state that Label is too long
Comment 1 Tomas Lestach 2013-10-24 11:35:23 EDT
spacewalk.git: ee753d84dab712ca9615eef07f72cf1ee54ebced
Comment 2 Matej Kollar 2014-01-17 07:15:54 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 3 Matej Kollar 2014-03-04 08:08:09 EST
Spacewalk 2.1 has been released.
Comment 4 Matej Kollar 2014-03-04 08:09:02 EST
Spacewalk 2.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.